For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCancel EOR Contract
      • PATCHDelay EOR employee onboarding
      • GETFetch EOR Contract form
      • GETFetch Start Date for EOR Contracts
      • GETGet EOR Additional Costs
      • GETRetrieve Benefits by Country
      • GETRetrieve detailed hiring guide for a country
      • POSTSign EOR contract document
      • PATCHUpdate Employee Information for EOR Contract
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsEor Hiring

Retrieve detailed hiring guide for a country

GET
/eor/validations/:country_code
GET
/rest/v2/eor/validations/:country_code
$curl https://api.letsdeel.com/rest/v2/eor/validations/US \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "salary": {
4 "max": "10000",
5 "min": "2000",
6 "frequency": "monthly"
7 },
8 "holiday": {
9 "max": "25",
10 "min": "15",
11 "mostCommon": "20"
12 },
13 "currency": "USD",
14 "probation": {
15 "max": 3,
16 "min": 1
17 },
18 "health_insurance": {
19 "status": "ENABLED",
20 "providers": [
21 {
22 "id": "123e4567-e89b-12d3-a456-426614174000",
23 "name": "HealthCare Plus"
24 }
25 ]
26 }
27 }
28}

Returns country-specific hiring guide data — including salary requirements, holidays, probation terms, health insurance, and currency — for use in creating and validating EOR contract quotes. Token scopes: contracts:read

Was this page helpful?
Previous

Sign EOR contract document

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

country_codestringRequiredformat: "^[A-Z]{2}$"=2 characters

The two-letter ISO code of the country for which to retrieve the hiring guide.

Response

The hiring guide data was successfully retrieved.
dataobject

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error